package com.lz.modules.equipment.dao;
/**
* <p>
* 其他可申领信息表 服务类
* </p>
*
* @author quyixiao
* @since 2020-07-31
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.equipment.entity.SpecialApplyInfo;
import com.lz.modules.equipment.entity.model.FindByNameModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SpecialApplyInfoMapper extends BaseMapper<SpecialApplyInfo> {


	SpecialApplyInfo selectSpecialApplyInfoById(@Param("id") Long id);


	Long insertSpecialApplyInfo(SpecialApplyInfo specialApplyInfo);


	int updateSpecialApplyInfoById(SpecialApplyInfo specialApplyInfo);


	int updateCoverSpecialApplyInfoById(SpecialApplyInfo specialApplyInfo);


	int deleteSpecialApplyInfoById(@Param("id") Long id);


    SpecialApplyInfo selectSpecialApplyInfoByTypeDesc(@Param("owner") String owner);

	List<SpecialApplyInfo> selectBySearchName(@Param("page") IPage page, @Param("model") FindByNameModel nameModel);
}